Subject: Re: bug#49127: Performance degradation in encode_coding_object

From: Mattias Engdegård <[email-masked]>
Date: Tue, 17 Aug 2021 18:07:10 +0200

17 aug. 2021 kl. 16.05 skrev Eli Zaretskii <[email-masked]>:

> No, it's you who took _my_ patch, removed one of its parts, and deleted
> the commentary.

Yes, I wanted to have all the credit to my name! All mine!

Seriously, I didn't mean to imply that you did anything improper, and I'm genuinely pleased that we ended up with a good solution.

This business makes me wonder if there are more cases where the linear marker list causes bad performance. Probably not very often but it's not unreasonable for a mode to have many data structures with many (live) markers into the text, and that would lead to text changes going from O(1) to O(text size). In any case, not anything to worry about right now.